Page MenuHomePhabricator

[subtask] Remove table and table elements default font-size setting
Open, NormalPublic

Description

table element and it's children caption, tbody, tfoot, thead, tr, th, td have font-size: 100%; applied, which is already inherited by html and body rule in reset.less and also not part of any known user-agent stylesheet.

Only remaining risk is having special styles like .infobox td now kicking in.

Proposed solution:

  • Removal of line from reset.less
  • Table styles are moved to their own LESS file tables.less
  • The CSS are ordered from generic to specific

QA steps:
Verifying that (best a dozen different types of) tables (in various languages) look the same in articles across our wikiverse.
The only thing affected by this change is the font-size. So if the font-size in tables didn't change, we are good.

Event Timeline

Volker_E created this task.Mar 5 2019, 3:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2019, 3:04 AM

Change 494405 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Remove unnecessary table font-size reset

https://gerrit.wikimedia.org/r/494405

QA steps could do with a little more detail.

Change 494402 had a related patch set uploaded (by Jdlrobson; owner: VolkerE):
[mediawiki/skins/MinervaNeue@master] Move (opinionated) table styles to tables stylesheet

https://gerrit.wikimedia.org/r/494402

Jdlrobson updated the task description. (Show Details)Mar 5 2019, 10:05 PM
Volker_E updated the task description. (Show Details)Mar 5 2019, 11:14 PM
ovasileva triaged this task as Normal priority.Mar 6 2019, 9:23 AM
Jdlrobson renamed this task from Remove table and table elements default font-size setting to [subtask] Remove table and table elements default font-size setting.Mar 8 2019, 12:14 AM

Change 494405 had a related patch set uploaded (by Jdlrobson; owner: VolkerE):
[mediawiki/skins/MinervaNeue@reset-cleanup] Remove unnecessary table font-size reset

https://gerrit.wikimedia.org/r/494405

Change 494402 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/skins/MinervaNeue@reset-cleanup] Move (opinionated) table styles to tables stylesheet

https://gerrit.wikimedia.org/r/494402

Change 494402 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@reset-cleanup] Move (opinionated) table styles to tables stylesheet

https://gerrit.wikimedia.org/r/494402

Change 494405 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@reset-cleanup] Remove unnecessary table font-size reset

https://gerrit.wikimedia.org/r/494405